# AlertHub

**AlertHub** is a Python package that provides an easy and unified interface to manage email services across multiple platforms. It allows you to send, monitor, delete, move, and forward emails using various popular email service providers, such as Gmail, Outlook, SendGrid, and SMTP.

## Features

- **Email Sending**: Easily send emails using Gmail, Outlook, SendGrid, and generic SMTP.
- **Email Monitoring**: Monitor incoming emails based on specific criteria.
- **Email Management**: Delete, move, or forward emails across supported platforms.
- **Unified Interface**: Interact with different email services using a consistent API.
- **Modular and Scalable**: Easily add support for more email service providers.

## Supported Email Services

- Gmail
- Outlook (Office 365)
- SendGrid
- SMTP (Generic)

## Installation

You can install AlertHub using pip:

```bash
pip install alerthub
```


## Changelog

You can view the complete list of changes in the [Changelog](./CHANGELOG.md).